# Quick Start

## Install the library

{% tabs %}
{% tab title="NPM" %}

```bash
# Install via NPM
npm i dubnium@0.0.6
```

{% endtab %}
{% endtabs %}

## Make your first Record

```javascript
import {Record} from 'dubnium'
new Record("tag_here",{
"data":"here"
})
```

## Delete a Record

```javascript
import {deleteByTag} from 'dubnium'
deleteByTag("tag_here")
```

## Modify a Record

{% tabs %}
{% tab title="Data" %}

```javascript
import {modifyRecordValueByTag} from 'dubnium'
modifyRecordValueByTag("tag","key","new value")
```

{% endtab %}

{% tab title="Tag" %}

```javascript
import {modifyTag} from 'dubnium'
modifyTag("old_tag","new_tag")
```

{% endtab %}
{% endtabs %}

### Check out our full docs for more in-depth explanations and code


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://db.coolstone.dev/0/reference/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
